Subject: Re: bug#58149: guix pull error

From: zimoun <[email-masked]>
Date: Wed, 5 Oct 2022 17:02:28 +0200

Hi Matthieu,

On Wed, 5 Oct 2022 at 12:48, Matthieu Haefele <[email-masked]> wrote:

> >    sudo -i guix package -r guix -i \
> >      /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af
>
> I am getting an error when trying to remove the guix package as it is not part of the profile, so I just try to install the package

I guess, that's because the command operates on the profile
/root/.guix-profile and not on the profile /root/.config/guix/current;
maybe you need to specify the profile with the option '-p'.  Well,
although some blocking issues seems elsewhere. :-)

Cheers,
simon